GET api/rightapi/mainRights?active={active}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of RightViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| descriptions | Dictionary of string [key] and string [value] |
Required |
|
| active | boolean |
Required |
|
| code | string |
Required |
|
| for_material | boolean |
Required |
|
| ID | globally unique identifier |
None. |
|
| type | globally unique identifier |
None. |
|
| main_right | globally unique identifier |
None. |
|
| technical_description | string |
Required String length: inclusive between 0 and 100 |
|
| position | integer |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"for_material": true,
"id": "1f08864d-b794-4b77-9789-b034958ca8ea",
"type": "fbf0b173-ad0e-4217-9beb-14053be9592c",
"main_right": "e26d9454-a875-4a66-8eac-221aaba220e1",
"technical_description": "sample string 5",
"position": 1
},
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"for_material": true,
"id": "1f08864d-b794-4b77-9789-b034958ca8ea",
"type": "fbf0b173-ad0e-4217-9beb-14053be9592c",
"main_right": "e26d9454-a875-4a66-8eac-221aaba220e1",
"technical_description": "sample string 5",
"position": 1
}
]
application/xml, text/xml
Sample:
<ArrayOfright xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<right>
<ID>1f08864d-b794-4b77-9789-b034958ca8ea</ID>
<active>true</active>
<code>sample string 2</code>
<for_material>true</for_material>
<main_right>e26d9454-a875-4a66-8eac-221aaba220e1</main_right>
<position>1</position>
<technical_description>sample string 5</technical_description>
<type>fbf0b173-ad0e-4217-9beb-14053be9592c</type>
<descriptions xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d3p1:KeyValueOfstringstring>
<d3p1:Key>sample string 1</d3p1:Key>
<d3p1:Value>sample string 2</d3p1:Value>
</d3p1:KeyValueOfstringstring>
<d3p1:KeyValueOfstringstring>
<d3p1:Key>sample string 3</d3p1:Key>
<d3p1:Value>sample string 4</d3p1:Value>
</d3p1:KeyValueOfstringstring>
</descriptions>
</right>
<right>
<ID>1f08864d-b794-4b77-9789-b034958ca8ea</ID>
<active>true</active>
<code>sample string 2</code>
<for_material>true</for_material>
<main_right>e26d9454-a875-4a66-8eac-221aaba220e1</main_right>
<position>1</position>
<technical_description>sample string 5</technical_description>
<type>fbf0b173-ad0e-4217-9beb-14053be9592c</type>
<descriptions xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d3p1:KeyValueOfstringstring>
<d3p1:Key>sample string 1</d3p1:Key>
<d3p1:Value>sample string 2</d3p1:Value>
</d3p1:KeyValueOfstringstring>
<d3p1:KeyValueOfstringstring>
<d3p1:Key>sample string 3</d3p1:Key>
<d3p1:Value>sample string 4</d3p1:Value>
</d3p1:KeyValueOfstringstring>
</descriptions>
</right>
</ArrayOfright>